ch.qos.logback.core.db.dialect

## Class MsSQLDialect

- java.lang.Object
- - ch.qos.logback.core.db.dialect.MsSQLDialect

All Implemented Interfaces:
  SQLDialect

    public class MsSQLDialect
    extends Object
    implements SQLDialect

The MS SQL Server dialect is untested. Note that the dialect is not needed if your JDBC driver supports the getGeneratedKeys method introduced in JDBC 3.0 specification.

Author:
  James Stauffer

### Field Summary

Fields
`static String` `SELECT_CURRVAL`

### Constructor Summary

Constructors
Constructor and Description
`MsSQLDialect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSelectInsertId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SELECT_CURRVAL

    public static final String SELECT_CURRVAL

See Also:
  Constant Field Values

### Constructor Detail

#### MsSQLDialect

    public MsSQLDialect()

### Method Detail

#### getSelectInsertId

    public String getSelectInsertId()

Specified by:
  `getSelectInsertId` in interface `SQLDialect`